GNU bug report logs - #11747
24.1.50; called-interactively-p vs. advice

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: michael_heerdegen@HIDDEN; Keywords: confirmed; merged with #13656, #15476; dated Tue, 19 Jun 2012 18:23:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 11747 13656 15476. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11747 <at> debbugs.gnu.org:


Received: (at 11747) by debbugs.gnu.org; 8 Feb 2013 22:42:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 08 17:42:00 2013
Received: from localhost ([127.0.0.1]:44880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U3wds-0006b4-4R
	for submit <at> debbugs.gnu.org; Fri, 08 Feb 2013 17:42:00 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:35858)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1U3wdq-0006ax-Gy
	for 11747 <at> debbugs.gnu.org; Fri, 08 Feb 2013 17:41:59 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFFpZnt/2dsb2JhbABEuzWDWRdzgh8BBVYjEAs0EhQYDSSIJMEtkQoDiGGcGYFegxU
X-IPAS-Result: Av8EABK/CFFFpZnt/2dsb2JhbABEuzWDWRdzgh8BBVYjEAs0EhQYDSSIJMEtkQoDiGGcGYFegxU
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; 
   d="scan'208";a="827958"
Received: from 69-165-153-237.dsl.teksavvy.com (HELO pastel.home)
	([69.165.153.237])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	08 Feb 2013 17:41:52 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 2DCBE5919F; Fri,  8 Feb 2013 17:41:51 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11747: 24.1.50; called-interactively-p vs. advice
Message-ID: <jwvsj565t2k.fsf-monnier+bug#11747@HIDDEN>
References: <87lijj9n8t.fsf@HIDDEN>
Date: Fri, 08 Feb 2013 17:41:50 -0500
In-Reply-To: <87lijj9n8t.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 19
	Jun 2012 20:21:06 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 11747
Cc: 11747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

> | This function is meant for implementing advice and other
> | function-modifying features.  Instead of using this, it is sometimes
> | cleaner to give your function an extra optional argument whose
> | `interactive' spec specifies non-nil unconditionally ("p" is a good
> | way to do this), or via (not (or executing-kbd-macro noninteractive)). 
> It seems a bit confusing - is there a "not" missing in the first
> sentence?

No, called-interactively-p is indeed specifically useful when writing
advice (i.e. for use in the advice itself, not in the function that is
advised).
For normal functions, it is usually better (and always more reliable) to
provide an appropriate argument from the `interactive' spec, but doing
that in an advice is a lot more difficult, since it requires modifying
the `interactive' spec, which defadvice does not really let you do (it
lets you override it with another spec, but not modify the existing
spec).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11747; Package emacs. Full text available.
Merged 11747 13656. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11747 <at> debbugs.gnu.org:


Received: (at 11747) by debbugs.gnu.org; 25 Jun 2012 23:44:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 25 19:44:25 2012
Received: from localhost ([127.0.0.1]:57815 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SjIxE-0000cX-VM
	for submit <at> debbugs.gnu.org; Mon, 25 Jun 2012 19:44:25 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:45946)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1SjIx1-0000cF-7F
	for 11747 <at> debbugs.gnu.org; Mon, 25 Jun 2012 19:44:23 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1SjItA-00019j-9h; Mon, 25 Jun 2012 19:40:12 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#11747: 24.1.50; called-interactively-p vs. advice
References: <87lijj9n8t.fsf@HIDDEN> <bi395kp4z4.fsf@HIDDEN>
	<87zk7r5lbm.fsf@HIDDEN>
X-Spook: North Korea bank smuggle SAFE Noriega ASIO STARLAN AMEMB
X-Ran: x,t<1-q;%=oq<2aD*Uwg*JYfap1Whtw(g!Oh\Uxs@-H|L\,FBT0LQ#>&[0u5!fW!SkqO:n
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 25 Jun 2012 19:40:12 -0400
In-Reply-To: <87zk7r5lbm.fsf@HIDDEN> (Michael Heerdegen's message of "Mon, 25
	Jun 2012 19:54:21 +0200")
Message-ID: <o51ul3c65f.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 11747
Cc: 11747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Michael Heerdegen wrote:

> So, do you mean this can't be fixed? 

No, just that I personally don't see how to fix it. Hopefully someone
else does.

>    This function is meant for implementing advice and other
>    function-modifying features.
>
> Is there a "not" missing?

I'm not sure. I cannot tell what the sentence is supposed to mean under
either reading. I think it could just as well be removed.

> 2.  Explicitly say that `called-interactively' will not work when used
> in an adviced function.

Sure, if no-one fixes it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11747; Package emacs. Full text available.

Message received at 11747 <at> debbugs.gnu.org:


Received: (at 11747) by debbugs.gnu.org; 25 Jun 2012 17:56:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 25 13:56:14 2012
Received: from localhost ([127.0.0.1]:57530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SjDWH-0001Ls-TC
	for submit <at> debbugs.gnu.org; Mon, 25 Jun 2012 13:56:14 -0400
Received: from mout.web.de ([212.227.17.12]:59893)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1SjDWF-0001Lk-Vu
	for 11747 <at> debbugs.gnu.org; Mon, 25 Jun 2012 13:56:12 -0400
Received: from snow.dragon ([89.204.138.131]) by smtp.web.de (mrweb003) with
	ESMTPSA (Nemesis) id 0MC1ho-1SaNli2rI0-009cJi; Mon, 25 Jun 2012 19:52:11
	+0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#11747: 24.1.50; called-interactively-p vs. advice
References: <87lijj9n8t.fsf@HIDDEN> <bi395kp4z4.fsf@HIDDEN>
Date: Mon, 25 Jun 2012 19:54:21 +0200
In-Reply-To: <bi395kp4z4.fsf@HIDDEN> (Glenn Morris's message of
	"Sun, 24 Jun 2012 21:14:55 -0400")
Message-ID: <87zk7r5lbm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V02:K0:nGcEMKWcd2sOLzQOJds9kpnIuSeiwNF3oIYlUPwEadc
	FSefCwvlhQzEgl56XuHcqDGyMSISF2YAyE9TQMb+D0VxXRlfux
	vWfnqFWHjTUJVlNY7Tt4Fb/J7AMOdKYrwmwAaLKbeghLp17W6Q
	ttsErEA3xU0tcqrYJ3q5KPUHwbM5zJ8dNo+BDTW4kiC2FZrzrr
	HxZQlM94eJTargNbiw7+w7+fsYOoBw51AT9HsSieCI=
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 11747
Cc: 11747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.1 (-)

Glenn Morris <rgm@HIDDEN> writes:

> > `called-interactively-p' returns wrong values when called inside
> > commands that are adviced.
>
> Old "interactive-p" had the same issue, though maybe that mattered less.
> It's to do with the way advice is implemented. It actually goes out of
> its way to avoid using call-interactively unless it has to (subrs).
> See comments in advice.el header.

So, do you mean this can't be fixed?  Too bad, but ok, that's what I
thought.

But then, we IMHO should improve the docstring of `called-interactively':

1.  This sentence:

   This function is meant for implementing advice and other
   function-modifying features.

Is there a "not" missing?

2.  Explicitly say that `called-interactively' will not work when used
in an adviced function.

This is something completely different than 1.  1. is about implementing
advice via `called-interactively'.  2. says that if you advice any
function that already uses it, it will stop working.  

So, my wish is to improve the docstring of `called-interactively' a bit.
Then, this report can be closed.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11747; Package emacs. Full text available.

Message received at 11747 <at> debbugs.gnu.org:


Received: (at 11747) by debbugs.gnu.org; 25 Jun 2012 01:18:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 24 21:18:52 2012
Received: from localhost ([127.0.0.1]:55724 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sixx5-0000QD-KU
	for submit <at> debbugs.gnu.org; Sun, 24 Jun 2012 21:18:52 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:53285)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Sixx3-0000Q4-FO
	for 11747 <at> debbugs.gnu.org; Sun, 24 Jun 2012 21:18:50 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1SixtI-0001gQ-2E; Sun, 24 Jun 2012 21:14:56 -0400
From: Glenn Morris <rgm@HIDDEN>
To: michael_heerdegen@HIDDEN
Subject: Re: bug#11747: 24.1.50; called-interactively-p vs. advice
References: <87lijj9n8t.fsf@HIDDEN>
X-Spook: 2600 Magazine Janet Reno brigand Consul 9/11 Mossad
X-Ran: jSd%2E>~7[]Mq#f"%@gWD2Rj$v>m5$FNX44:g;\#LB?y#O#rkzqWasx~p0Rc)}2ex|vEHw
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sun, 24 Jun 2012 21:14:55 -0400
In-Reply-To: <87lijj9n8t.fsf@HIDDEN> (Michael Heerdegen's message of "Tue, 19
	Jun 2012 20:21:06 +0200")
Message-ID: <bi395kp4z4.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 11747
Cc: 11747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Michael Heerdegen wrote:

> `called-interactively-p' returns wrong values when called inside
> commands that are adviced.

Old "interactive-p" had the same issue, though maybe that mattered less.
It's to do with the way advice is implemented. It actually goes out of
its way to avoid using call-interactively unless it has to (subrs).
See comments in advice.el header.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11747; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jun 2012 18:22:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 19 14:22:35 2012
Received: from localhost ([127.0.0.1]:48894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Sh34V-0005jn-1Q
	for submit <at> debbugs.gnu.org; Tue, 19 Jun 2012 14:22:35 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55816)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1Sh34T-0005jg-0V
	for submit <at> debbugs.gnu.org; Tue, 19 Jun 2012 14:22:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1Sh316-0004Ba-BF
	for submit <at> debbugs.gnu.org; Tue, 19 Jun 2012 14:19:10 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:56361)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1Sh316-0004BV-86
	for submit <at> debbugs.gnu.org; Tue, 19 Jun 2012 14:19:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41669)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1Sh314-0000SJ-G6
	for bug-gnu-emacs@HIDDEN; Tue, 19 Jun 2012 14:19:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1Sh312-0004Az-A0
	for bug-gnu-emacs@HIDDEN; Tue, 19 Jun 2012 14:19:01 -0400
Received: from mout.web.de ([212.227.17.12]:59163)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <michael_heerdegen@HIDDEN>) id 1Sh312-0004As-09
	for bug-gnu-emacs@HIDDEN; Tue, 19 Jun 2012 14:19:00 -0400
Received: from snow.dragon ([82.113.99.105]) by smtp.web.de (mrweb102) with
	ESMTPSA (Nemesis) id 0Lpezi-1SDmT91Z4Q-00fYEa for
	<bug-gnu-emacs@HIDDEN>; Tue, 19 Jun 2012 20:18:58 +0200
Date: Tue, 19 Jun 2012 20:21:06 +0200
Message-Id: <87lijj9n8t.fsf@HIDDEN>
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.1.50; called-interactively-p vs. advice
X-Provags-ID: V02:K0:uT8s2Po6ULppcku91mAE4KEVlFefLtQgs4MuaCXe5EU
	xxnoPwASYZ6yUHFkmE4dLIrknfrfCjQnWGuL4eG3+9NyKFg4yx
	ncOg9/IpZ09C+pXVNSdJieUWrKJCR4/GlLSrZbWgaNbzy7FVHH
	c3y67qnyXcg/Ah+M1ncqsRG1Cj5GcsR3TeseP4nGnYuinDqD38
	Mp6INY+CAz8aE+ybNQoavqBrB1mtMaxjS2fddPWH8A=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: michael_heerdegen@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Hi,

`called-interactively-p' returns wrong values when called inside
commands that are adviced.

Example:

(defun interactive-test ()
  (interactive)
  (message "Called %sinteractively"
           (if (called-interactively-p 'any) "" "non-")))

M-x interactive-test

  ==>

  Called interactively

M-: (interactive-test)

  ==>

  Called non-interactively


Now eval e.g. this:

(defadvice interactive-test (before foo activate)
  (sleep-for 1))

Then:

M-x interactive-test

  ==>

  Called non-interactively


This is quite surprising, and may cause surprising effects if the user
decides to advice such a command.

I found nothing in the doc about his behavior.  If this is not a bug,
maybe explain this behavior somewhere.


This last paragraph in the docstring of `called-interactively-p' seems
somewhat (but not directly) related:

| This function is meant for implementing advice and other
| function-modifying features.  Instead of using this, it is sometimes
| cleaner to give your function an extra optional argument whose
| `interactive' spec specifies non-nil unconditionally ("p" is a good
| way to do this), or via (not (or executing-kbd-macro noninteractive)). 

It seems a bit confusing - is there a "not" missing in the first
sentence?


Thanks,

Michael.


In GNU Emacs 24.1.50.1 (i486-pc-linux-gnu, GTK+ Version 3.4.2)
 of 2012-06-15 on zelenka, modified by Debian
 (emacs-snapshot package, version 2:20120615-1)
Windowing system distributor `The X.Org Foundation', version 11.0.11201902
Configured using:
 `configure '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.1.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.1.50/site-lisp:/usr/share/emacs/site-lisp'
 '--without-compress-info' '--with-crt-dir=/usr/lib/i386-linux-gnu/'
 '--with-x=yes' '--with-x-toolkit=gtk3' '--with-imagemagick=yes'
 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu'
 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g
 -Wl,--as-needed -znocombreloc' 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t





Acknowledgement sent to michael_heerdegen@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11747; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Apr 2017 21:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.